Subject: Re: Bug#5255
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 12 Jan 2010 19:50:02 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

This bug was closed recently, but unfortunately the close message was
lost from the Emacs bug database. I am therefore resending the close
message. Sorry for the duplicate mail. The original close message was

http://lists.gnu.org/archive/html/bug-gnu-emacs/2009-12/msg00689.html

    From: Dan Nicolaescu <[email-masked]>
    Subject: Re: bug#5255: 23.1.90; Wrong prompt in term
    To: Fabian Ezequiel Gallina <[email-masked]>
    Cc: [email-masked]
    Date: Mon, 28 Dec 2009 11:28:21 -0800 (PST)
    
    Fabian Ezequiel Gallina <[email-masked]> writes:
    
      > 2009/12/22 Dan Nicolaescu <[email-masked]>:
      > >
      > > This is an xterm specific escape sequence, most likely due to a bad
      > > setup, you'll get the same problem if you use a vt100 terminal for
      > > example.
      > > So this is not a term.el problem.
      > >
      > 
      > Thanks for the explanation, I just added this to my .bashrc and
      > everything started to work fine again:
    
    I am closing this bug, it's not a bug in term.el
    
      > if [[ $TERM =~ ^xterm ]];
      > then
      > 	TERM=xterm-256color
    
    Changing the value of TERM is a bad idea, unless you know exactly what
    you are doing.
    
      > 	PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME%%.*}:${PWD/$HOME/~}\007"'
    
    Using PROMPT_COMMAND is not a good idea, the same thing can be done with
    just setting the prompt.
    ----------